<?php

/**
 * @file
 * Admin pages for node_theme module.
 */

/**
 * Menu callback: settings page.
 */
function node_theme_admin_settings() {
  $types = node_get_types('names');

  // @todo Should be configurable in per-content administrative pages.
  $form['node_theme_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Allowed content types'),
    '#default_value' => variable_get('node_theme_types', array()),
    '#options' => $types,
    '#description' => t('What content types can have a custom theme.'),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}
